<?php
    session_start();

    require_once "config.php";
    require_once "defines.php";
    require_once "functions.php";
    require_once "connectdb.php";

    if(!VerifyAccess()){
    	header('Location: index.php');
        exit;
    }

	if(empty($_SESSION["LANGUAGE"])){ $_SESSION["LANGUAGE"]='de'; }
   	require_once "languages.inc.php";

    $PHP_SELF = $_SERVER["PHP_SELF"];

    if (empty($_GET['picID']) || !dynpg_getRightsToUser(C_RIGHTS_CHANGE, 'ARTICLE', $_GET['picID'], 'asValue', true))
        exit;

    clearstatcache();
?>
<HTML>
<HEAD>
<TITLE><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_title"]; ?></TITLE>
<link rel="stylesheet" type="text/css" href="css/tool.css">
<META NAME="Generator" CONTENT="EditPlus">
<META NAME="Author" CONTENT="">
<META NAME="Keywords" CONTENT="">
<META NAME="Description" CONTENT="">

<script language="javascript">
<!--
/*
// Function for quality status-bar
function change_quality(act){
	if(act=="plus"){
		document.actionForm.quality.value++;
	}
	else if(act=="minus"){
		document.actionForm.quality.value--;
	}

	if(document.actionForm.quality.value>100){ document.actionForm.quality.value=100;}
	if(document.actionForm.quality.value<1){ document.actionForm.quality.value=1;}
	var val = document.actionForm.quality.value/4;
	var valpart = Math.round(val);
	document.actionForm.status.value = "";
	var i=0;
	while (i<valpart)
	{
		document.actionForm.status.value+="|";
		i++;
	}
}
*/

// Function to fill form-field 'SIZE' (% to px AND px to %)
function change_size(field, size, altsize){
	if(field=="wpx"){
		var factor = document.actionForm.width_px.value/size*1000;
		document.actionForm.width_pc.value=Math.round(factor)/10;

		if( document.actionForm.proportional.checked == true ){
			var new_factor = document.actionForm.width_pc.value/100;
			document.actionForm.height_px.value=Math.round(altsize*new_factor);
			document.actionForm.height_pc.value=document.actionForm.width_pc.value;
		}
	}
	if(field=="wpc"){
		var factor = document.actionForm.width_pc.value/100;
		document.actionForm.width_px.value=Math.round(size*factor);

		if( document.actionForm.proportional.checked == true ){
			document.actionForm.height_pc.value=document.actionForm.width_pc.value;
			var new_factor = document.actionForm.height_pc.value/100;
			document.actionForm.height_px.value=Math.round(altsize*new_factor);
		}
	}
	if(field=="hpx"){
		var factor = document.actionForm.height_px.value/size*1000;
		document.actionForm.height_pc.value=Math.round(factor)/10;

		if( document.actionForm.proportional.checked == true ){
			var new_factor = document.actionForm.height_pc.value/100;
			document.actionForm.width_px.value=Math.round(altsize*new_factor);
			document.actionForm.width_pc.value=document.actionForm.height_pc.value;
		}
	}
	if(field=="hpc"){
		var factor = document.actionForm.height_pc.value/100;
		document.actionForm.height_px.value=Math.round(size*factor);

		if( document.actionForm.proportional.checked == true ){
			document.actionForm.width_pc.value=document.actionForm.height_pc.value;
			var new_factor = document.actionForm.width_pc.value/100;
			document.actionForm.width_px.value=Math.round(altsize*new_factor);
		}
	}
}

// Function sets layer-position by cutting
function change_cut(width,height){
	if(document.actionForm.size_x.value != "" && document.actionForm.size_y.value != ""){
		if(document.actionForm.cor_x.value == "" || document.actionForm.cor_x.value >= width){
			document.actionForm.cor_x.value=0;
		}
		if((Number(document.actionForm.size_x.value)+Number(document.actionForm.cor_x.value))>width){
			document.actionForm.size_x.value=width-Number(document.actionForm.cor_x.value);
		}
		if(document.actionForm.cor_y.value == "" || document.actionForm.cor_y.value >= width){
			document.actionForm.cor_y.value=0;
		}
		if((Number(document.actionForm.size_y.value)+Number(document.actionForm.cor_y.value))>height){
			document.actionForm.size_y.value=height-Number(document.actionForm.cor_y.value);
		}
		var border = 2;
		var top = height+border-Number(document.actionForm.cor_y.value);
		var left = ((Number(document.actionForm.size_x.value)-width)/2)+Number(document.actionForm.cor_x.value);
		var test="width:"+ document.actionForm.size_x.value +"px; height:"+ document.actionForm.size_y.value +"px; border: "+ border +"px #FF0000 solid; top:-"+ top +"px; left:"+ left +"; position: relative;";
		document.getElementById('cut_div').setAttribute("style", test);
	}
}

// Function preloads the actual image
function preloadImg(source){
	rslt = new Image();
	rslt.src = source;
	return rslt;
}
-->
</script>

</HEAD>
<?php
// Supported file-extensions
$supported_types = array( "jpg", "jpeg", "png" ); //gif just supported in new version -> added at line 156

$GDversion = $GLOBALS["lang_dpg"]->str["lang_fileedit_version"];
// Check GD (active)
if ( extension_loaded( "gd" ) && function_exists( "gd_info" ) ) {
    // Check GD-Version
    $GDinfo = gd_info();
    $GDversion = $GDinfo["GD Version"];

    if ( substr(preg_replace('/[^\d\.]+/', '', $GDversion), 0, 1) == 2 ) {
        // Get image infos
        $SQL = "SELECT * FROM `dynpg_cms_images` WHERE `id`='" . mysql_real_escape_string( $_GET["picID"] ) . "'";
        $QUERY = mysql_query( $SQL );
        $ROW = mysql_fetch_object( $QUERY );

        $pic_id = $ROW->id;
        $pic_name = $ROW->NAME;
        $pic_url = FORMS_IMAGES_DESTINATIONURL_ROOT . $ROW->URL;
        $pic_group = $ROW->USERGROUP;
        $picture = $pic_url;
        $pic_type = substr( strrchr( $pic_url, '.' ), 1 );
        $done = false;
        $show_new = false;
        $return_text = "";

		if ($GDinfo['GIF Create Support']) { array_push( $supported_types, "gif" ); }

        if ( file_exists( $pic_url ) && in_array( $pic_type, $supported_types ) ) {
            $size = getimagesize( "$pic_url" );
            $width_px = $size[0];
            $height_px = $size[1];
            $width_pc = 100;
            $height_pc = 100;
            $quality = 80;
            $rotation = "";
            $achse = $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_no"];
            $xsize = "";
            $ysize = "";
            $xcor = 0;
            $ycor = 0;
            // temp file directory and name of edited image
            $new_name = FORMS_IMAGES_DESTINATIONURL_ROOT . "/edit_img_tmp." . $pic_type;
            // Create preview / Image functions
            if ( !empty( $_POST["submit_preview"] ) ) {
                @unlink($new_name);
                switch ( $_GET["function"] ) {
                    // Case 1: Bearbeiten
                    case 1:
                        if ( $size[2] == 1 ) {
							// GIF
							$old_pic = ImageCreateFromGIF( "$pic_url" );
						} elseif ( $size[2] == 2 ) {
                            // JPG-JPEG
                            $old_pic = ImageCreateFromJPEG( "$pic_url" );
                        } elseif ( $size[2] == 3 ) {
                            // PNG
                            $old_pic = ImageCreateFromPNG( "$pic_url" );
                        }
                        // change image size
                        if ( !empty( $_POST["width_px"] ) && $_POST["width_px"] > 0 && !empty( $_POST["height_px"] ) && $_POST["height_px"] > 0 ) {
                            if ( $size[1] != $_POST["height_px"] || $size[0] != $_POST["width_px"] ) {
                                $width_px = $_POST["width_px"];
                                $height_px = $_POST["height_px"];
                                $width_pc = round( $_POST["width_px"] / $size[0] * 100, 1 );
                                $height_pc = round( $_POST["height_px"] / $size[1] * 100, 1 );

                                $new_pic = ImageCreateTrueColor( $width_px, $height_px );
                                // reflect and change size
                                if ( $_POST["achse"] == "v" ) {
                                    ImageCopyResampled( $new_pic, $old_pic, 0, 0, $size[0]-1, 0, $width_px, $height_px, - $size[0], $size[1] );
                                    $achse = $_POST["achse"];
                                } elseif ( $_POST["achse"] == "h" ) {
                                    ImageCopyResampled( $new_pic, $old_pic, 0, 0, 0, $size[1]-1, $width_px, $height_px, $size[0], - $size[1] );
                                    $achse = $_POST["achse"];
                                } else {
                                    ImageCopyResampled( $new_pic, $old_pic, 0, 0, 0, 0, $width_px, $height_px, $size[0], $size[1] );
                                }
                                $done = true;
                            } else {
                                $new_pic = ImageCreateTrueColor( $size[0], $size[1] );
                            }
                        }
                        // reflect image
                        if ( !empty( $_POST["achse"] ) && $_POST["achse"] != $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_no"] && !$done ) {
                            $achse = $_POST["achse"];

                            if ( $achse == "v" ) {
                                $new_pic = ImageCreateTrueColor( $width_px, $height_px );
                                ImageCopyResampled( $new_pic, $old_pic, 0, 0, $size[0]-1, 0, $size[0], $size[1], - $size[0], $size[1] );
                                $done = true;
                            } elseif ( $achse == "h" ) {
                                $new_pic = ImageCreateTrueColor( $width_px, $height_px );
                                ImageCopyResampled( $new_pic, $old_pic, 0, 0, 0, $size[1]-1, $size[0], $size[1], $size[0], - $size[1]-1 );
                                $done = true;
                            }
                        }
                        // rotate image
                        if ( isset( $_POST["rotation"] ) && !empty( $_POST["rotation"] ) && $_POST["rotation"] != 0 && function_exists("imagerotate")) {
                            $rotation = $_POST["rotation"];
                            if ( !$done ) {
                                $new_pic = ImageCreateTrueColor( $width_px, $height_px );
                                ImageCopyResampled( $new_pic, $old_pic, 0, 0, 0, 0, $size[0], $size[1], $size[0], $size[1] );
                            }
                            $new_pic = imagerotate( $new_pic, $rotation, -1 ); // -1 = background transparent | Nr = color in rgb
                            $done = true;
                        }
                        // set quality
                        if ( !empty( $_POST["quality"] ) && $_POST["quality"] > 0 && $_POST["quality"] < 101 ) {
                            if ( $quality != $_POST["quality"] ) {
                                if ( !$done ) {
                                    $new_pic = ImageCreateTrueColor( $width_px, $height_px );
                                    ImageCopyResampled( $new_pic, $old_pic, 0, 0, 0, 0, $size[0], $size[1], $size[0], $size[1] );
                                    $done = true;
                                }
                            }
                            $quality = $_POST["quality"];
                        }
                        // save new image (temp)
                        if ( $done && $size[2] == 2 ) {
                            ImageJPEG( $new_pic, $new_name, $quality );
                            imagedestroy( $new_pic );
                            imagedestroy( $old_pic );
                        } elseif ( $done && $size[2] == 3 ) {
                            ImagePNG( $new_pic, $new_name, $quality );
                            imagedestroy( $new_pic );
                            imagedestroy( $old_pic );
                            $return_text = $GLOBALS["lang_dpg"]->str["lang_fileedit_message_9"]."<BR><BR>";
                        } elseif ( $done && $size[2] == 1 ) {
                            ImageGIF( $new_pic, $new_name, $quality );
                            imagedestroy( $new_pic );
                            imagedestroy( $old_pic );
                        }
                        break;
                    // Case 2: Zuschneiden
                    case 2:
						// JPG
						if ( !empty( $_POST["size_x"] ) && !empty( $_POST["size_y"] ) ) {
							$xsize = $_POST["size_x"];
							$ysize = $_POST["size_y"];
							$xcor = $_POST["cor_x"];
							$ycor = $_POST["cor_y"];

							if ( $size[2] == 1 ) {
								$old_pic = ImageCreateFromGIF( "$pic_url" );
							} elseif ( $size[2] == 2 ) {
								$old_pic = ImageCreateFromJPEG( "$pic_url" );
							} elseif ( $size[2] == 3 ) {
								$old_pic = ImageCreateFromPNG( "$pic_url" );
							}

							$new_pic = ImageCreateTrueColor( $xsize, $ysize );
              ImageCopyResampled( $new_pic, $old_pic, 0, 0, $xcor, $ycor, $xsize, $ysize, $xsize, $ysize );

							if ( $size[2] == 1 ) {
								ImageGIF( $new_pic, $new_name );
							} elseif ( $size[2] == 2 ) {
								ImageJPEG( $new_pic, $new_name );
							} elseif ( $size[2] == 3 ) {
								ImagePNG( $new_pic, $new_name );
							}

							imagedestroy( $new_pic );
                            imagedestroy( $old_pic );
                            $done = true;
                        }
                } //switch
            } //if submit preview button
            // ask to overwrite old file (Button: Change | Ändern)
            if ( !empty( $_POST["submit_save"] ) ) {
                $return_text = '<form method="post" action="' . $PHP_SELF . '?picID=' . $pic_id . '&function=' . $_GET["function"] . '" name="actionForm">
						<table border=0 Cellpadding=7 Cellspacing=0 class="InnerWebsiteTableTransparent">
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND_ALT . '>
								<td>
									<b>' . $GLOBALS["lang_dpg"]->str["lang_fileedit_message_1a"] . ' "' . $pic_url . '" ' . $GLOBALS["lang_dpg"]->str["lang_fileedit_message_1b"] . '</b>
								</td>
							</tr>
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND . '>
								<td>
									<input type="submit" value="'.$GLOBALS["lang_dpg"]->str["lang_fileedit_ok_button"].'" name="submit_save_ok" class="ButtonStyleWhite"> <input type="submit" value="'.$GLOBALS["lang_dpg"]->str["lang_fileedit_no_button"].'" name="submit_save_no" class="ButtonStyleWhite">
								</td>
							</tr>
						</table>
			</form>';
                $picture = $new_name;
                $show_new = true;
            }
            // overwrite old file (Button: Change - OK | Ändern - OK)
            if ( !empty( $_POST["submit_save_ok"] ) ) {
                copy( $new_name, $pic_url );
                $return_text = "" . $GLOBALS["lang_dpg"]->str["lang_message_success"] . " <br /><br />";

                $picture = $pic_url;
            }

            // copy new file / insert into DB
            if ( !empty( $_POST["submit_savenew_ok"] ) ) {
                if (dynpg_getRightsToUser(C_RIGHTS_CREATE, 'GROUP', $_POST["NEW_IMAGE_GROUP"], 'asValue', true)) {
                    $SQL_INS = "INSERT INTO `dynpg_cms_images` (`NAME`, `URL`, `DESCR`, `USERGROUP`) VALUES ('" . mysql_real_escape_string($_POST["new_pic_name"]) . "','/imgfile[-]." . $pic_type . "','" . mysql_real_escape_string($_POST["new_pic_desc"]) . "', '" . mysql_real_escape_string($_POST["NEW_IMAGE_GROUP"]) . "')";
                    $RES_INS = mysql_query( $SQL_INS );
                    $NewImageNumber = mysql_insert_id();
                    @mysql_free_result( $RES_INS );

                    $SQL_SEL = "SELECT * FROM `dynpg_cms_images` WHERE `id`='$NewImageNumber'";
                    $RES_SEL = mysql_query( $SQL_SEL );
                    $ROW_SEL = mysql_fetch_object( $RES_SEL );
                    $new_filename = str_replace( "[-]", $NewImageNumber, $ROW_SEL->URL );
                    $new_fileurl = FORMS_IMAGES_DESTINATIONURL_ROOT . $new_filename;
                    @mysql_free_result( $RES_SEL );

                    $SQL_UPD = "UPDATE `dynpg_cms_images` SET `dynpg_cms_images`.`URL`='".mysql_real_escape_string($new_filename)."' WHERE `id`='$NewImageNumber'";
                    $RES_UPD = mysql_query( $SQL_UPD );
                    @mysql_free_result( $RES_UPD );

                     mysql_query("INSERT INTO `dynpg_cms_images_rights`(`USERID`, `PARENT`, `SECTION`, `CREATE`, `DELETE`, `CHANGE`)
                            VALUES ('".mysql_real_escape_string($_SESSION["ID"])."', 'ARTICLE', '{$NewImageNumber}',
                            'TRUE', 'TRUE', 'TRUE')");

                    copy( $new_name, $new_fileurl );

                    $return_text = "" . $GLOBALS["lang_dpg"]->str["lang_message_success"] . " <br /><br /> -&gt;<a href='" . $PHP_SELF . "?picID=" . $NewImageNumber . "&function=" . $_GET["function"] . "'>" . $GLOBALS["lang_dpg"]->str["lang_fileedit_message_2"] . "</a><br /><br />";

                    $picture = $new_fileurl;
                }
            }

            ?>

<body onload="preloadImg('<?php echo $picture; ?>');">

<table align="center" cellpadding="10" width="97%"><tr><td>
	<h3><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_title"]; ?></h3>

	<?php
	echo $return_text;

	        // form to input name and description of new file (Button: Save new - OK | Neu speichern - OK)
            if ( !empty( $_POST["submit_savenew"] ) ) {
                echo '<form method="post" action="' . $PHP_SELF . '?picID=' . $pic_id . '&function=' . $_GET["function"] . '" name="actionForm">
						<table border="0" Cellpadding="7" Cellspacing="0" class="InnerWebsiteTableTransparent">
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND_ALT . '>
								<td>
									<b>' . $GLOBALS["lang_dpg"]->str["lang_fileedit_name"] . '</b>
								</td>
								<td>
									<input type="text" name="new_pic_name" class="TextfieldStyleWhite">
								</td>
							</tr>
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND . '>
								<td>
									<b>' . $GLOBALS["lang_dpg"]->str["lang_fileedit_desc"] . '</b>
								</td>
								<td>
									<input type="text" name="new_pic_desc" class="TextfieldStyleWhite">
								</td>
							</tr>
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND_ALT . '>
								<td>
									<b>' . $GLOBALS["lang_dpg"]->str["lang_fileedit_group"] . '</b>
								</td>
								<td>';
									?>
									<select size="1" name="NEW_IMAGE_GROUP" class="TextFieldStyleWhite">
									<?php
										$mysql_result = mysql_query("SELECT DISTINCT
																		A.*,
																		B.*
																	 FROM
																		`dynpg_cms_imagegroup_treestruct` AS A
																		INNER JOIN `dynpg_cms_imagegroups` AS B
																		ON A.`element_id_fk` = B.`id`
																	 WHERE
																		A.`root_id_fk` IS NULL
																	 GROUP BY
																		A.`element_id_fk`
																	 ORDER BY
																		B.`NAME` ASC");
										$option='<option value="%ID%" selected="selected">%SYMB% %NAME%</option>';

										while ( $mysql_row = mysql_fetch_array($mysql_result, MYSQL_ASSOC) ) {
											$_ouput = $option;

											$_ouput = str_replace('%SYMB%', '', $_ouput);

											foreach ( $mysql_row as $key => $value ) {
												$value = dynpg_htmlentities_rigid(stripslashes($value),ENT_COMPAT,true);

												$_ouput = str_replace('%'.strtoupper($key).'%', $value, $_ouput);
											}

                                            if ( $pic_group != $mysql_row['id'] ) {
                                                $_ouput = str_replace(' selected="selected"', '', $_ouput);
                                            }

                                            if (dynpg_getRightsToUser(null, 'GROUP', $mysql_row['element_id_fk'], 'asArray', true) != Array('FALSE', 'FALSE', 'FALSE')) {
                                                echo $_ouput;

                                                if ( !is_null($mysql_row['element_id_fk']) ) {
                                                        dnypg_interna_List_Successors_img($mysql_row['element_id_fk'], 1, $option, 'NAME', 'ASC', FALSE, -1, TRUE);
                                                }
                                            }
										}
									@mysql_free_result($RES);

				echo '
								</select>
								</td>
							</tr>
							<tr bgcolor=' . C_WEBSITE_MAINBACKGROUND_ALT . '>
								<td colspan="2">
									<input type="submit" value="' . $GLOBALS["lang_dpg"]->str["lang_fileedit_ok_button"] . '" name="submit_savenew_ok" class="ButtonStyleWhite"> <input type="submit" value="' . $GLOBALS["lang_dpg"]->str["lang_fileedit_abort_button"] . '" name="submit_savenew_no" class="ButtonStyleWhite">
								</td>
							</tr>
						</table><br />
				</form>';

                $picture = $new_name;
                $show_new = true;
            }
	?>

	<table border="0" Cellpadding="6" Cellspacing="0" class="InnerWebsiteTable">
		<tr>
			<td bgcolor=<?php if ( $_GET["function"] == 1 ) echo C_WEBSITE_AKTBACKGROUND;
            else echo C_WEBSITE_MAINBACKGROUND?>>
				<a href="<?php echo $PHP_SELF . "?function=1&picID=" . $pic_id;

            ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_edit"]; ?></b></a>
			</td>
			<td bgcolor=<?php if ( $_GET["function"] == 2 ) echo C_WEBSITE_AKTBACKGROUND;
            else echo C_WEBSITE_MAINBACKGROUND?>>
				<a href="<?php echo $PHP_SELF . "?function=2&picID=" . $pic_id;

            ?>"><b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_cut"]; ?></b></a>
			</td>
		</tr>
	</table>
	<br />
	<form method="post" action="<?php echo $PHP_SELF . "?picID=" . $pic_id . "&function=" . $_GET["function"]; ?>" name="actionForm">
	<table border="0" Cellpadding="8" Cellspacing="0" width="100%" class="InnerWebsiteTable">
		<tr>
			<td bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>" valign="top">
			<?php if ( $_GET["function"] == 1 || empty( $_GET["function"] ) ) {

                ?>
				<table border="0" Cellpadding="7" Cellspacing="0" class="InnerWebsiteTableTransparent">
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
						<td colspan="3">
							<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_resize"]; ?></b>
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
						<td>
							<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_size"]; ?>
						</td>
						<td>
							<input type="text" class="TextfieldStyleWhite" name="width_px" size="3" value="<?php echo $width_px;

                ?>" onkeyup="change_size('wpx', <?php echo $size[0]; ?>, <?php echo $size[1]; ?>);"> X
							<input type="text" class="TextfieldStyleWhite" name="height_px" size="3" value="<?php echo $height_px;

                ?>" onkeyup="change_size('hpx', <?php echo $size[1]; ?>,  <?php echo $size[0]; ?>);"> px
						</td>
						<td rowspan="2" valign="middle">
							(<sub><input type="checkbox" name="proportional" checked="checked"></sub><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_proportional"]; ?>)
						</td>
          </tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
						<td></td>
						<td>
							<input type="text" class="TextfieldStyleWhite" name="width_pc" size="3" value="<?php echo $width_pc;

                ?>" onkeyup="change_size('wpc', <?php echo $size[0];?> , <?php echo $size[1]; ?>);"> X
							<input type="text" class="TextfieldStyleWhite" name="height_pc" size="3" value="<?php echo $height_pc;

                ?>" onkeyup="change_size('hpc', <?php echo $size[1];?> , <?php echo $size[0]; ?>);"> %
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
						<td colspan="3">
							<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_reflect"]; ?></b>
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
						<td>
							<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_axis"]; ?>
						</td>
						<td>
							<select class="TextfieldStyleWhite" name="achse">
								<option value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_no"]; ?>" <?php if ( $achse == $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_no"] ) {
                    echo "selected";
                }

                ?> ><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_no"]; ?></option>
								<option value="v" <?php if ( $achse == "v" ) {
                    echo "selected";
                }

                ?> ><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_v"]; ?></option>
								<option value="h" <?php if ( $achse == "h" ) {
                    echo "selected";
                }

                ?> ><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_axis_h"]; ?></option>
							</select>
						</td>
						<td></td>
					</tr>
					<?php if(function_exists("imagerotate")){ ?>
						<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
							<td colspan="3">
								<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_rotation"]; ?></b>
							</td>
						</tr>
						<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
							<td>
								<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_angle"]; ?>
							</td>
							<td>
								<input type="text" class="TextfieldStyleWhite" name="rotation" value="<?php echo $rotation;?>" size="2" maxlength="4">
							</td>
							<td></td>
						</tr>
					 <?php } ?>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
						<td colspan="3">
							<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_quality"]; ?></b>
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
						<td>
							<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_value"]; ?>
						</td>
						<td>
							<input type="text" value="<?php echo $quality;

                ?>" class="TextfieldStyleWhite" name="quality" size="2" maxlength="3">
							<!--
							<INPUT TYPE="text" value="<?php echo $quality;

                ?>" class="TextfieldStyleWhite" NAME="quality" size=2 onkeyup="change_quality('ins');">

							&nbsp;&nbsp;
							<A HREF="#" onclick="change_quality('minus');"><IMG SRC="pictures/font_doadd_m.jpg" BORDER="0" ALT="Minus"></A>|<INPUT TYPE="text" NAME="status" style="border: 0px; background:<?php echo C_WEBSITE_MAINBACKGROUND ?>; color:#FF0000; height:20px; width:75px;" readonly>|
							<A HREF="#" onclick="change_quality('plus');"><IMG SRC="pictures/font_doadd_p.jpg" BORDER="0" ALT="Plus"></A>&nbsp;
							-->
						</td>
						<td></td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
						<td colspan="3"><input type="submit" name="submit_preview" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_preview_button"]; ?>">

							<?php if ( $done ) {

                    ?>
								<input type="submit" name="submit_savenew" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_saveNew_button"]; ?>">
								<input type="submit" name="submit_save" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_change_button"]; ?>">
							<?php
                    echo "</td></tr><tr><td colspan=\"3\">";
                    echo $GLOBALS["lang_dpg"]->str["lang_fileedit_oldSize"] . " " . round( filesize( $pic_url ) / 1024 ) . " kb<br />";
                    echo $GLOBALS["lang_dpg"]->str["lang_fileedit_newSize"] . " " . round( filesize( $new_name ) / 1024 ) . " kb </td></td>";
                }

                ?>
						</td>
					</tr>
				</table>
			<?php }

            ?>
			<?php if ( $_GET["function"] == 2 ) {

                ?>
				<table border="0" Cellpadding="7" Cellspacing="0" class="InnerWebsiteTableTransparent">
					<tr bgcolor=<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>>
						<td>
							<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_cords"]; ?></b>
						</td>
						<td>
							X <input type="text" NAME="cor_x" size="2" value="<?php echo $xcor;

                ?>" onkeyup="change_cut(<?php echo $size[0] . "," . $size[1];

                ?>);" >
							Y <input type="text" name="cor_y" size="2" value="<?php echo $ycor;

                ?>" onkeyup="change_cut(<?php echo $size[0] . "," . $size[1];

                ?>);">
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND_ALT ?>">
						<td>
							<b><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_cutsize"]; ?></b>
						</td>
						<td>
							X <input type="text" name="size_x" size="2" value="<?php echo $xsize;

                ?>" onkeyup="change_cut(<?php echo $size[0] . "," . $size[1];

                ?>);">
							Y <input type="text" name="size_y" size="2" value="<?php echo $ysize;

                ?>" onkeyup="change_cut(<?php echo $size[0] . "," . $size[1];

                ?>);">
						</td>
					</tr>
					<tr bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
						<td><input type="submit" name="submit_preview" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_preview_button"]; ?>"></td>
						<td>
							<?php if ( $done ) {

                    ?>
								<input type="submit" name="submit_savenew" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_saveNew_button"]; ?>">
								<input type="submit" name="submit_save" class="ButtonStyleWhite" value="<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_change_button"]; ?>">
							<?php
                }

                ?>
						</td>
					</tr>
				</table>
			<?php }

            ?>
			</td>
		</tr>
	</table>
	</form>
	<br />
</td></tr>
<tr><td align="center" style="padding: 15px;" bgcolor="<?php echo C_WEBSITE_MAINBACKGROUND ?>">
	<?php
            // show image
            if ( !$done && !$show_new ) {

                ?>
		<img src="<?php echo $pic_url;

                ?>" border="0" alt="<?php echo $pic_name;

                ?>">
	<?php
            }
            // show preview image
            else {

                ?>
		<img src="<?php echo $new_name;

                ?>" border="0" alt="<?php echo $pic_name;

                ?>">

	<?php
            }
            // layer for cut-function
            if ( $_GET["function"] == 2 ) {

                ?>
		<div id="cut_div"></div>
	<?php
            }

            ?>
	</td></tr></table><br />
<?php
        } //(if) Check file_exists / extension
        // image file doesnt exist or invalid file-extetion
        else {

            ?>
	<body>

	<table align="center" width="97%" ><tr><td>
		<h1><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_title"]; ?></h1>

		<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_3"]; ?><br /><br />

		<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_4a"]; ?><br />
		&nbsp;&nbsp;(<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_4b"]; ?> <b><?php echo $pic_url;

            ?></b>)<br /><br />

		<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_5a"]; ?><br />
		&nbsp;&nbsp;(<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_5b"]; ?> <b><?php echo "." . $pic_type;

            ?></b> / <?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_5c"]; ?> <?php echo implode(', ', $supported_types);

            ?>)<br /><br />

		<?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_6a"]; ?><br />
		&nbsp;&nbsp; <b><?php echo $GDversion;

            ?></b> / <?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_6b"]; ?>)  <br /><br /><br />
		<a href="#" onclick="window.close()"><?php echo $GLOBALS["lang_dpg"]->str["lang_fileedit_close"]; ?></a>

	</td></tr></table>
<?php
        } //(else)
    } //(if) Check GD-Version
	else {
		echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_7a"]." <b>".$GDversion."</b> / ".$GLOBALS["lang_dpg"]->str["lang_fileedit_message_7b"].")";
	}
} //(if) Check GD (active)
else {
	echo $GLOBALS["lang_dpg"]->str["lang_fileedit_message_8"];
}
?>

</body>
</html>