<?php
    $this_path = "../../../../";

    @include $this_path . "config.php";
    @include $this_path . "defines.php";
    @include $this_path . "functions.php";
    @include $this_path . "connectdb.php";

    $PHP_SELF = $_SERVER["PHP_SELF"];
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>{#formular_dlg.title}</title>
	<script language="javascript" type="text/javascript" src="../../tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="../../utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="../../utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="js/formular.js"></script>
	<link href="css/formular.css" rel="stylesheet" type="text/css" />
	<base target="_self" />
</head>
<body id="table" style="display: none">
		<div class="tabs">
			<ul>
                <li id="general_tab" class="current"><span><a href="javascript:mcTabs.displayTab('general_tab','general_panel');" onmousedown="return false;">{#formular_dlg.general_tab}</a></span></li>
			</ul>
		</div>

		<div class="panel_wrapper">
			<div id="general_panel" class="current">
                <fieldset class="fieldset_wrapper">

                    <?php if ( empty($_GET['fElType']) ) { ?>
                    <legend>{#formular_dlg.general_props}</legend>
                        <ul>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=1"; ?>"> Textfeld</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=2"; ?>"> Passwortfeld</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=3"; ?>"> Textfeld (mehrzeilig)</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=4"; ?>"> Optionsfeld</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=5"; ?>"> Kontrollk&auml;stchen</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=6"; ?>"> Dropdownliste</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=7"; ?>"> Button (absenden)</A></li>
                            <li><A HREF="<?php echo $PHP_SELF . "?fElType=8"; ?>"> Button (zur&uuml;cksetzen)</A></li>
                        </ul>
                    <?php } else { ?>

                    <?php switch ( (integer)$_GET['fElType'] ) { default: break; ?>

                        <?php case 1: ?>

                        <legend>Gew&auml;hlt: Textfeld</legend>

                        <form name="sel_form">
                            <TABLE>
                            <colgroup>
                            	<col width="80" />
                            	<col />
                            <colgroup>
                            <TR><TD>Feldname:</TD><TD><INPUT TYPE="text" NAME="feldname" onkeyup="forbiddenchar(this);"></TD></TR>
                            <TR><TD>Value:</TD><TD><INPUT TYPE="text" NAME="val"></TD></TR>
                            <TR><TD>Gr&ouml;sse:</TD><TD><INPUT TYPE="text" NAME="size" onkeyup="justNumbers(this);" maxlength="3" size="2"></TD></TR>
                            <TR><TD>Max. L&auml;nge:</TD><TD><INPUT TYPE="text" NAME="maxchars" onkeyup="justNumbers(this);" size="2"></TD></TR>
							<TR><TD>Tab. Index:</TD><TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
                            <TR><TD>Weiteres:</TD>
                                <TD><SELECT NAME="art" onchange="isitmail(this)">
                                        <option value="1">Normal</option>
                                        <option value="2">Zwingend</option>
                                        <option value="3">E-Mail</option>
										<option value="4">E-Mail versenden</option>
									</SELECT>
								</TD>
							</TR>
              <TR><TD>Feld sperren:</TD><TD><INPUT TYPE="checkbox" NAME="disable" class="checkbox"></TD></TR>
							</TABLE>
                            <div id="isrequired" style="display:none">Dieses Feld muss zwingend ausgef&uuml;llt sein.</div>
                            <div id="ismail" style="display:none">Dieses Feld muss zwingend eine E-Mail enthalten.</div>
                            <div id="sendmail" style="display:none">An die E-Mail in diesem Feld wird eine Best&auml;tigung geschickt</div>
                        </form>

                        <?php $js_insert_function = 'insertTextbox();'; ?>

                        <?php break; ?>

                        <?php case 2: ?>

                        <legend>Gew&auml;hlt: Passwortfeld</legend>

                        <form name="sel_form">
                            <TABLE>
                            <TR><TD>Feldname:</TD><TD><INPUT TYPE="text" NAME="feldname" onkeyup="forbiddenchar(this);"></TD></TR>
                            <TR><TD>Value:</TD><TD><INPUT TYPE="text" NAME="val"></TD></TR>
                            <TR><TD>Gr&ouml;sse:</TD><TD><INPUT TYPE="text" NAME="size" onkeyup="justNumbers(this);" maxlength="3" size="2"></TD></TR>
                            <TR><TD>Max. L&auml;nge:</TD><TD><INPUT TYPE="text" NAME="maxchars" onkeyup="justNumbers(this);" size="2"> Zeichen </TD></TR>
							<TR><TD>Tab. Index:</TD><TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
                            <TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="required" class="checkbox">Zwingend</TD></TR>
                            <!-- <TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="disable" class="checkbox">Feld sperren</TD></TR> -->
                            </TABLE>
                        </form>

                        <?php $js_insert_function = 'insertPasswordbox();'; ?>

                        <?php break; ?>

                        <?php case 3: ?>

                        <legend>Gew&auml;hlt: Textfeld (mehrzeilig)</legend>

                        <form name="sel_form">
                            <TABLE>
                            <TR><TD>Feldname:</TD><TD><INPUT TYPE="text" NAME="feldname" onkeyup="forbiddenchar(this);"></TD></TR>
                            <TR><TD VALIGN="TOP">Text:</TD><TD><TEXTAREA NAME="val" CLASS="textarea"></TEXTAREA></TD></TR>
                            <TR><TD>Zeilen:</TD><TD><INPUT TYPE="text" NAME="rows" onkeyup="justNumbers(this);" size="2"></TD></TR>
                            <TR><TD>Breite:</TD><TD><INPUT TYPE="text" NAME="cols" onkeyup="justNumbers(this);" size="2"></TD></TR>
							<TR><TD>Tab. Index:</TD><TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
                            <TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="required" class="checkbox">Zwingend</TD></TR>
                            </TABLE>
                        </form>

                        <?php $js_insert_function = 'insertTextarea();'; ?>

                        <?php break; ?>

                        <?php case 4: case 5: case 6: ?>

                        <?php $typeToName = Array(4 => 'Optionsfeld', 5 => 'Kontrollk&auml;stchen', 6 => 'Dropdownliste'); ?>

                        <legend>Gew&auml;hlt: <?php echo $typeToName[(integer)$_GET['fElType']]; ?></legend>

                            <?php if ( empty($_GET['fControl']) ) { ?>

								<div id="fieldsAdd" style="display:block">
									<form name="sel_form" method="post" action="<?php echo $PHP_SELF . "?fElType=".$_GET['fElType']."&amp;fControl=" . $_GET['fElType']; ?>">
										<TABLE>
										<TR><TD>Feldname:</TD>
										<TD><INPUT TYPE="text" NAME="feldname" onkeyup="forbiddenchar(this);"></TD></TR>
										<TR><TD VALIGN="TOP" WIDTH="80">Optionen zur Auswahl:</TD>
										<TD><INPUT TYPE="text" NAME="options" onkeyup="justNumbers(this);" size="2"></TD></TR>
										<TR><TD>Tab. Index:</TD>
										<TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
										<?php
											/*
											if($_GET["fElType"]==6){
												echo "<TR><TD></TD><TD><INPUT TYPE=\"checkbox\" NAME=\"disable\" value=\"disable\" CLASS=\"checkbox\" /> sperren</TD></TR>";
											}
											*/
										?>
										</TABLE>
									</form>
								</div>
								<div id="fieldsEdit" style="display:none">
									<form name="sel_form2">
										<TABLE>
										<TR><TD>Feldname:</TD>
										<TD><INPUT TYPE="text" NAME="name" onkeyup="forbiddenchar(this);"></TD></TR>
										<TR><TD>Value:</TD>
										<TD><INPUT TYPE="text" NAME="val"></TD></TR>
										<TR><TD>Tab. Index:</TD>
										<TD><INPUT TYPE="text" NAME="index" onkeyup="justNumbers(this);" size="2"></TD></TR>
										<TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="sel" value="1" CLASS="checkbox" /> selektiert</TD></TR>
										<TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="disable" value="1" CLASS="checkbox" /> sperren
										<INPUT TYPE="hidden" name="singlefield" value="" /><INPUT TYPE="hidden" name="code" value="" /><INPUT TYPE="hidden" name="field" value="" /></TD></TR>
										</TABLE>
									</form>
								</div>
								<div id="selectEdit" style="display:none">
									<div class="option_list_input">
									<form name="sel_form3">
										<TABLE>
										<TR><TD>Feldname:</TD>
										<TD><INPUT TYPE="text" NAME="name" onkeyup="forbiddenchar(this);"></TD></TR>
										<TR><TD>Tab. Index:</TD>
										<TD><INPUT TYPE="text" NAME="index" onkeyup="justNumbers(this);" size="2"></TD></TR>
										<TR><TD colspan="2">
										<p style="margin: 3px 0 5px 0;"><A style="cursor: pointer;" title="Feld am Anfang hinzuf&uuml;gen" onclick="addSelectfield('top');"><strong>+ hinzuf&uuml;gen</strong></A></p>
										<div id="selectOptions"></div>
										<p style="margin: 3px 0 5px 0;"><A style="cursor: pointer;" title="Feld am Ende hinzuf&uuml;gen" onclick="addSelectfield('bottom');"><strong>+ hinzuf&uuml;gen</strong></A></p>

										<INPUT TYPE="hidden" name="fieldList" value="" /><INPUT TYPE="hidden" name="rows" value="" /></TD></TR>
										</TABLE>
									</form>
									</div>
								</div>

                                <?php $next = TRUE; ?>

                                <?php $js_insert_function = "javascript: if(document.sel_form2.elements['singlefield'].value == 'edited'){ editMultibutton() } else if (document.sel_form3.elements['fieldList'].value == 'edited'){ editListbox() } else if (document.forms[0].options != '') { document.forms[0].submit(); }"; ?>

                            <?php } else {
                                switch ( $_GET["fControl"] ) {
                                    case 4:
                                        $js_insert_function = "insertRadiobutton()";
                                        $check = "<INPUT TYPE=\"radio\" NAME=\"check\" ID=\"selected_of_#ID#\" value=\"1\" CLASS=\"checkbox\" />";
                                        $art   = "<br /><INPUT TYPE=\"checkbox\" NAME=\"art\" CLASS=\"checkbox\" />Nebeneinander";
										$block = "&nbsp;<INPUT TYPE=\"checkbox\" NAME=\"disable\" ID=\"disabled_of_#ID#\" value=\"1\" CLASS=\"checkbox\" /> sperren";
                                    break;

                                    case 5:
                                        $js_insert_function = "insertCheckbox()";
                                        $check = "<INPUT TYPE=\"checkbox\" NAME=\"check\" ID=\"selected_of_#ID#\" value=\"1\" CLASS=\"checkbox\" />";
                                        $art   = "<br /><INPUT TYPE=\"checkbox\" NAME=\"art\" CLASS=\"checkbox\" />Nebeneinander";
										$block = "&nbsp;<INPUT TYPE=\"checkbox\" NAME=\"disable\" ID=\"disabled_of_#ID#\" value=\"1\" CLASS=\"checkbox\" /> sperren";
                                    break;

                                    case 6:
                                        $js_insert_function = "insertListbox()";
                                        $check = "<INPUT TYPE=\"radio\" NAME=\"check\" ID=\"selected_of_#ID#\" value=\"1\" CLASS=\"checkbox\" />";
                                        $art   = "";
										$block = "";
                                    break;
                                }

                                echo "<div class=\"option_list_input\">";
								echo "<form name=\"sel_form\">";

								if(empty($_POST["options"]) || $_POST["options"]==0){
									$_POST["options"] = 1;
								}

								for( $i = 1; $i <= (integer)$_POST["options"]; $i++ ) {
									$check_ = str_replace('#ID#', $i, $check);
									$block_ = str_replace('#ID#', $i, $block);

                                    echo "<div style=\"margin: 1px; padding: 0;\">" . $i .
										 ".: <INPUT TYPE=\"text\" NAME=\"name\" id=\"name_of_{$i}\" /><a href=\"#\" onclick=\"return swapUp({$i}, ".($i - 1).");\" title=\"Eine Position rauf\">" .
										 "<img src=\"up.jpg\" alt=\"up\" border=\"0\" /></a><a href=\"#\" onclick=\"return swapDown({$i}, ".($i + 1).");\" title=\"Eine Position runter\">" .
										 "<img src=\"down.jpg\" alt=\"down\" border=\"0\" /></a>&nbsp;{$check_} selektiert &nbsp;{$block_}</div>";
                                }

                                echo '<INPUT TYPE="hidden" name="rows" value="' . $_POST["options"] . '" />';
                                echo '<INPUT TYPE="hidden" name="feldname" value="' . $_POST["feldname"] . '" />';
                                echo '<INPUT TYPE="hidden" name="tabindex" value="' . $_POST["tabindex"] . '" />';

								if($_GET["fControl"]==6){
									echo '<INPUT TYPE="hidden" name="disable" value="' . ((!empty($_POST["disable"]) && $_POST["disable"]=="disable")? "disable": "") . '" />';
								}

                                echo $art . "</form>";
                                echo "</div>";
                            } ?>

                        <?php break; ?>

                        <?php case 7: ?>

                        <legend>Gew&auml;hlt: Button (absenden)</legend>

                        <form name="sel_form">
							<TABLE>
								<TR><TD>Beschriftung:</TD><TD><INPUT TYPE="text" NAME="val" /></TD></TR>
								<TR><TD>Tab. Index:</TD><TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
								<TR><TD></TD><TD><INPUT TYPE="checkbox" NAME="disable" class="checkbox">Feld sperren</TD></TR>
							</TABLE>
                        </form>

                        <?php $js_insert_function = 'insertSubmit();'; ?>

                        <?php break; ?>

                        <?php case 8: ?>

                        <legend>Gew&auml;hlt: Button (zur&uuml;cksetzen)</legend>

                        <form name="sel_form">
							<TABLE>
								<TR><TD>Beschriftung:</TD><TD><INPUT TYPE="text" NAME="val" /></TD></TR>
								<TR><TD>Tab. Index:</TD><TD><INPUT TYPE="text" NAME="tabindex" onkeyup="justNumbers(this);" size="2"></TD></TR>
							</TABLE>
                        </form>

                        <?php $js_insert_function = 'insertReset();'; ?>

                        <?php break; ?>

                    <?php } } ?>

				</fieldset>
			</div>
		</div>

		<div class="mceActionPanel">
			<div style="float: left">

                <?php if ( !empty($js_insert_function) ) { ?>

                    <?php if ( !isset($next) ) { ?>

                        <input type="button" id="insert" name="insert" value="{#insert}" onClick="<?php echo $js_insert_function; ?>" />

                    <?php } else { ?>

                        <input type="button" id="next" name="next" value="Weiter" onClick="<?php echo $js_insert_function; ?>" class="updateButton" />

                    <?php } ?>

                <input type="button" id="back" name="back" value="Zur&uuml;ck" onClick="javscript: history.back();" class="updateButton" />

                <?php } ?>


			</div>

			<div style="float: right">
				<input type="button" id="cancel" name="cancel" value="{#cancel}" onClick="tinyMCEPopup.close();" />
			</div>
		</div>
</body>
</html>